PUT ForeignApp/{id}
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
PUT /api/v1/ForeignApp/{id}
Updates the existing ForeignAppEntity
NsApiSlow threshold: 5000 ms.
| Path Part | Type | Description |
|---|---|---|
| id | int32 | The ForeignAppEntity id to update. Required |
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category" Default = show all fields. |
PUT /api/v1/ForeignApp/{id}?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: entity
The ForeignAppEntity to be saved.
| Property Name | Type | Description |
|---|---|---|
| ForeignAppId | Integer | Primary key |
| Name | String | Name of foreign application |
| CreatedDate | String | Registered when in UTC. |
| UpdatedDate | String | Last updated when in UTC. |
| CreatedBy | Associate | The person that created the foreign application. |
| UpdatedBy | Associate | The person that last updated this foreign application. |
| Devices | Array | The devices that belong to this foreign app. |
Response:
ForeignAppEntity updated.
| Response | Description |
|---|---|
| 200 | ForeignAppEntity updated. |
| 412 | Update stopped because ForeignAppEntity has changed since the requested If-Unmodified-Since timestamp. |
| 400 | Bad request. Entity to save is not in request body. |
Response body: ForeignAppEntityWithLinks
| Property Name | Type | Description |
|---|---|---|
| ForeignAppId | int32 | Primary key |
| Name | string | Name of foreign application |
| CreatedDate | date-time | Registered when in UTC. |
| UpdatedDate | date-time | Last updated when in UTC. |
| CreatedBy | Associate | The person that created the foreign application. |
| UpdatedBy | Associate | The person that last updated this foreign application. |
| Devices | array | The devices that belong to this foreign app. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
| _Links | object |
Sample request
PUT /api/v1/ForeignApp/{id}
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: sv
Content-Type: application/json; charset=utf-8
{
"ForeignAppId": 509,
"Name": "Rau Group",
"CreatedDate": "2019-10-20T14:34:01.9870942+02:00",
"UpdatedDate": "2025-04-08T14:34:01.9870942+02:00",
"CreatedBy": null,
"UpdatedBy": null,
"Devices": [
{
"ForeignDeviceId": 251,
"Name": "Zieme, Nicolas and Monahan",
"CreatedDate": "2023-08-10T14:34:01.9870942+02:00",
"UpdatedDate": "2016-11-03T14:34:01.9870942+01:00",
"AssociateFullName": "Mrs. Delpha Frieda Roob",
"CreatedBy": "ab",
"UpdatedBy": "in",
"DeviceIdentifier": "perspiciatis",
"ForeignAppId": 305
}
]
}
Sample response
HTTP/1.1 200 ForeignAppEntity updated.
Content-Type: application/json; charset=utf-8
{
"ForeignAppId": 672,
"Name": "Google Sync",
"CreatedDate": "2025-09-13T14:34:02.0027636+02:00",
"UpdatedDate": "2019-12-24T14:34:02.0027636+01:00",
"CreatedBy": null,
"UpdatedBy": null,
"Devices": [
{
"ForeignDeviceId": 926,
"Name": "Hilpert Inc and Sons",
"CreatedDate": "2001-03-31T14:34:02.0027636+02:00",
"UpdatedDate": "2011-09-20T14:34:02.0027636+02:00",
"AssociateFullName": "Daron Kassulke",
"CreatedBy": "quaerat",
"UpdatedBy": "impedit",
"DeviceIdentifier": "alias",
"ForeignAppId": 306,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 780
}
}
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 884
}
},
"_Links": {
"Self": "https://www.example.com/api/v1/project/321",
"Archive": "https://www.example.com/api/v1/project"
}
}